searchNodes=[{"doc":"Athena keeps the contexts that define your domain and business logic. Contexts are also responsible for managing your data, regardless if it comes from the database, an external API or others.","ref":"Athena.html","title":"Athena","type":"module"},{"doc":"When used, dispatch to the appropriate model/etc.","ref":"Athena.html#__using__/1","title":"Athena.__using__/1","type":"macro"},{"doc":"","ref":"Athena.html#migration/0","title":"Athena.migration/0","type":"function"},{"doc":"The Inventory context.","ref":"Athena.Inventory.html","title":"Athena.Inventory","type":"module"},{"doc":"Returns an %Ecto.Changeset{} for tracking event changes. Examples iex&gt; change_event ( event ) % Ecto.Changeset { source : % Event { } }","ref":"Athena.Inventory.html#change_event/2","title":"Athena.Inventory.change_event/2","type":"function"},{"doc":"Returns an %Ecto.Changeset{} for tracking item changes. Examples iex&gt; change_item ( item ) % Ecto.Changeset { source : % Item { } }","ref":"Athena.Inventory.html#change_item/2","title":"Athena.Inventory.change_item/2","type":"function"},{"doc":"Returns an %Ecto.Changeset{} for tracking item_group changes. Examples iex&gt; change_item_group ( item_group ) % Ecto.Changeset { source : % ItemGroup { } }","ref":"Athena.Inventory.html#change_item_group/2","title":"Athena.Inventory.change_item_group/2","type":"function"},{"doc":"Returns an %Ecto.Changeset{} for tracking location changes. Examples iex&gt; change_location ( location ) % Ecto.Changeset { source : % Location { } }","ref":"Athena.Inventory.html#change_location/2","title":"Athena.Inventory.change_location/2","type":"function"},{"doc":"Returns an %Ecto.Changeset{} for tracking movement changes. Examples iex&gt; change_movement ( movement ) % Ecto.Changeset { source : % Movement { } }","ref":"Athena.Inventory.html#change_movement/2","title":"Athena.Inventory.change_movement/2","type":"function"},{"doc":"Creates a event. Examples iex&gt; create_event ( %{ field : value } ) { :ok , % Event { } } iex&gt; create_event ( %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#create_event/1","title":"Athena.Inventory.create_event/1","type":"function"},{"doc":"Creates a item. Examples iex&gt; create_item ( %{ field : value } ) { :ok , % Item { } } iex&gt; create_item ( %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#create_item/2","title":"Athena.Inventory.create_item/2","type":"function"},{"doc":"Creates a item_group. Examples iex&gt; create_item_group ( %{ field : value } ) { :ok , % ItemGroup { } } iex&gt; create_item_group ( %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#create_item_group/2","title":"Athena.Inventory.create_item_group/2","type":"function"},{"doc":"Creates a location. Examples iex&gt; create_location ( %{ field : value } ) { :ok , % Location { } } iex&gt; create_location ( %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#create_location/2","title":"Athena.Inventory.create_location/2","type":"function"},{"doc":"Creates a movement. Examples iex&gt; create_movement ( %{ field : value } ) { :ok , % Movement { } } iex&gt; create_movement ( %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#create_movement/2","title":"Athena.Inventory.create_movement/2","type":"function"},{"doc":"","ref":"Athena.Inventory.html#create_movement_directly/1","title":"Athena.Inventory.create_movement_directly/1","type":"function"},{"doc":"Deletes a event. Examples iex&gt; delete_event ( event ) { :ok , % Event { } } iex&gt; delete_event ( event ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#delete_event/1","title":"Athena.Inventory.delete_event/1","type":"function"},{"doc":"Deletes a item. Examples iex&gt; delete_item ( item ) { :ok , % Item { } } iex&gt; delete_item ( item ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#delete_item/1","title":"Athena.Inventory.delete_item/1","type":"function"},{"doc":"Deletes a item_group. Examples iex&gt; delete_item_group ( item_group ) { :ok , % ItemGroup { } } iex&gt; delete_item_group ( item_group ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#delete_item_group/1","title":"Athena.Inventory.delete_item_group/1","type":"function"},{"doc":"Deletes a location. Examples iex&gt; delete_location ( location ) { :ok , % Location { } } iex&gt; delete_location ( location ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#delete_location/1","title":"Athena.Inventory.delete_location/1","type":"function"},{"doc":"Deletes a movement. Examples iex&gt; delete_movement ( movement ) { :ok , % Movement { } } iex&gt; delete_movement ( movement ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#delete_movement/1","title":"Athena.Inventory.delete_movement/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#event_totals_by_event_query/2","title":"Athena.Inventory.event_totals_by_event_query/2","type":"function"},{"doc":"","ref":"Athena.Inventory.html#event_totals_by_item_query/2","title":"Athena.Inventory.event_totals_by_item_query/2","type":"function"},{"doc":"Gets a single event. Raises Ecto.NoResultsError if the Event does not exist. Examples iex&gt; get_event! ( 123 ) % Event { } iex&gt; get_event! ( 456 ) ** (Ecto.NoResultsError)","ref":"Athena.Inventory.html#get_event!/1","title":"Athena.Inventory.get_event!/1","type":"function"},{"doc":"Gets a single item. Raises Ecto.NoResultsError if the Item does not exist. Examples iex&gt; get_item! ( 123 ) % Item { } iex&gt; get_item! ( 456 ) ** (Ecto.NoResultsError)","ref":"Athena.Inventory.html#get_item!/1","title":"Athena.Inventory.get_item!/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#get_item_consumption/1","title":"Athena.Inventory.get_item_consumption/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#get_item_consumption/2","title":"Athena.Inventory.get_item_consumption/2","type":"function"},{"doc":"Gets a single item_group. Raises Ecto.NoResultsError if the Item group does not exist. Examples iex&gt; get_item_group! ( 123 ) % ItemGroup { } iex&gt; get_item_group! ( 456 ) ** (Ecto.NoResultsError)","ref":"Athena.Inventory.html#get_item_group!/1","title":"Athena.Inventory.get_item_group!/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#get_item_relocations/1","title":"Athena.Inventory.get_item_relocations/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#get_item_relocations_in/2","title":"Athena.Inventory.get_item_relocations_in/2","type":"function"},{"doc":"","ref":"Athena.Inventory.html#get_item_relocations_out/2","title":"Athena.Inventory.get_item_relocations_out/2","type":"function"},{"doc":"","ref":"Athena.Inventory.html#get_item_stock/1","title":"Athena.Inventory.get_item_stock/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#get_item_stock/2","title":"Athena.Inventory.get_item_stock/2","type":"function"},{"doc":"","ref":"Athena.Inventory.html#get_item_supply/1","title":"Athena.Inventory.get_item_supply/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#get_item_supply/2","title":"Athena.Inventory.get_item_supply/2","type":"function"},{"doc":"Gets a single location. Raises Ecto.NoResultsError if the Location does not exist. Examples iex&gt; get_location! ( 123 ) % Location { } iex&gt; get_location! ( 456 ) ** (Ecto.NoResultsError)","ref":"Athena.Inventory.html#get_location!/1","title":"Athena.Inventory.get_location!/1","type":"function"},{"doc":"Gets a single movement. Raises Ecto.NoResultsError if the Movement does not exist. Examples iex&gt; get_movement! ( 123 ) % Movement { } iex&gt; get_movement! ( 456 ) ** (Ecto.NoResultsError)","ref":"Athena.Inventory.html#get_movement!/1","title":"Athena.Inventory.get_movement!/1","type":"function"},{"doc":"Returns the list of events. Examples iex&gt; list_events ( ) [ % Event { } , ... ]","ref":"Athena.Inventory.html#list_events/0","title":"Athena.Inventory.list_events/0","type":"function"},{"doc":"Returns the list of item_groups. Examples iex&gt; list_item_groups ( ) [ % ItemGroup { } , ... ]","ref":"Athena.Inventory.html#list_item_groups/1","title":"Athena.Inventory.list_item_groups/1","type":"function"},{"doc":"Returns the list of items. Examples iex&gt; list_items ( ) [ % Item { } , ... ]","ref":"Athena.Inventory.html#list_items/1","title":"Athena.Inventory.list_items/1","type":"function"},{"doc":"Returns the list of locations. Examples iex&gt; list_locations ( ) [ % Location { } , ... ]","ref":"Athena.Inventory.html#list_locations/1","title":"Athena.Inventory.list_locations/1","type":"function"},{"doc":"Returns the list of movements. Examples iex&gt; list_movements ( ) [ % Movement { } , ... ]","ref":"Athena.Inventory.html#list_movements/1","title":"Athena.Inventory.list_movements/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#list_relevant_item_groups/1","title":"Athena.Inventory.list_relevant_item_groups/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#list_relevant_item_groups_query/1","title":"Athena.Inventory.list_relevant_item_groups_query/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#list_relevant_items/2","title":"Athena.Inventory.list_relevant_items/2","type":"function"},{"doc":"","ref":"Athena.Inventory.html#list_relevant_items_query/1","title":"Athena.Inventory.list_relevant_items_query/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#location_totals_by_item_query/2","title":"Athena.Inventory.location_totals_by_item_query/2","type":"function"},{"doc":"","ref":"Athena.Inventory.html#location_totals_by_location_query/2","title":"Athena.Inventory.location_totals_by_location_query/2","type":"function"},{"doc":"","ref":"Athena.Inventory.html#logistics_table_query/1","title":"Athena.Inventory.logistics_table_query/1","type":"function"},{"doc":"","ref":"Athena.Inventory.html#stock_query/0","title":"Athena.Inventory.stock_query/0","type":"function"},{"doc":"Updates a event. Examples iex&gt; update_event ( event , %{ field : new_value } ) { :ok , % Event { } } iex&gt; update_event ( event , %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#update_event/2","title":"Athena.Inventory.update_event/2","type":"function"},{"doc":"Updates a item. Examples iex&gt; update_item ( item , %{ field : new_value } ) { :ok , % Item { } } iex&gt; update_item ( item , %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#update_item/2","title":"Athena.Inventory.update_item/2","type":"function"},{"doc":"Updates a item_group. Examples iex&gt; update_item_group ( item_group , %{ field : new_value } ) { :ok , % ItemGroup { } } iex&gt; update_item_group ( item_group , %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#update_item_group/2","title":"Athena.Inventory.update_item_group/2","type":"function"},{"doc":"Updates a location. Examples iex&gt; update_location ( location , %{ field : new_value } ) { :ok , % Location { } } iex&gt; update_location ( location , %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#update_location/2","title":"Athena.Inventory.update_location/2","type":"function"},{"doc":"Updates a movement. Examples iex&gt; update_movement ( movement , %{ field : new_value } ) { :ok , % Movement { } } iex&gt; update_movement ( movement , %{ field : bad_value } ) { :error , % Ecto.Changeset { } }","ref":"Athena.Inventory.html#update_movement/2","title":"Athena.Inventory.update_movement/2","type":"function"},{"doc":"Event Model","ref":"Athena.Inventory.Event.html","title":"Athena.Inventory.Event","type":"module"},{"doc":"","ref":"Athena.Inventory.Event.html#t:t/0","title":"Athena.Inventory.Event.t/0","type":"type"},{"doc":"Event Total Model","ref":"Athena.Inventory.Event.Total.html","title":"Athena.Inventory.Event.Total","type":"module"},{"doc":"","ref":"Athena.Inventory.Event.Total.html#t:t/0","title":"Athena.Inventory.Event.Total.t/0","type":"type"},{"doc":"Item Model","ref":"Athena.Inventory.Item.html","title":"Athena.Inventory.Item","type":"module"},{"doc":"","ref":"Athena.Inventory.Item.html#t:t/0","title":"Athena.Inventory.Item.t/0","type":"type"},{"doc":"Item Group Model","ref":"Athena.Inventory.ItemGroup.html","title":"Athena.Inventory.ItemGroup","type":"module"},{"doc":"","ref":"Athena.Inventory.ItemGroup.html#t:t/0","title":"Athena.Inventory.ItemGroup.t/0","type":"type"},{"doc":"Location Model","ref":"Athena.Inventory.Location.html","title":"Athena.Inventory.Location","type":"module"},{"doc":"","ref":"Athena.Inventory.Location.html#t:t/0","title":"Athena.Inventory.Location.t/0","type":"type"},{"doc":"Location Total Model","ref":"Athena.Inventory.Location.Total.html","title":"Athena.Inventory.Location.Total","type":"module"},{"doc":"","ref":"Athena.Inventory.Location.Total.html#t:t/0","title":"Athena.Inventory.Location.Total.t/0","type":"type"},{"doc":"Movement Model","ref":"Athena.Inventory.Movement.html","title":"Athena.Inventory.Movement","type":"module"},{"doc":"","ref":"Athena.Inventory.Movement.html#t:t/0","title":"Athena.Inventory.Movement.t/0","type":"type"},{"doc":"StockEntry Model","ref":"Athena.Inventory.StockEntry.html","title":"Athena.Inventory.StockEntry","type":"module"},{"doc":"","ref":"Athena.Inventory.StockEntry.html#percentage/1","title":"Athena.Inventory.StockEntry.percentage/1","type":"function"},{"doc":"","ref":"Athena.Inventory.StockEntry.html#status/1","title":"Athena.Inventory.StockEntry.status/1","type":"function"},{"doc":"","ref":"Athena.Inventory.StockEntry.html#t:status/0","title":"Athena.Inventory.StockEntry.status/0","type":"type"},{"doc":"","ref":"Athena.Inventory.StockEntry.html#t:t/0","title":"Athena.Inventory.StockEntry.t/0","type":"type"},{"doc":"Used for executing DB release tasks when run in production without Mix installed.","ref":"Athena.Release.html","title":"Athena.Release","type":"module"},{"doc":"","ref":"Athena.Release.html#migrate/0","title":"Athena.Release.migrate/0","type":"function"},{"doc":"","ref":"Athena.Release.html#rollback/2","title":"Athena.Release.rollback/2","type":"function"},{"doc":"","ref":"Athena.Repo.html","title":"Athena.Repo","type":"module"},{"doc":"Callback implementation for Ecto.Repo.aggregate/3 .","ref":"Athena.Repo.html#aggregate/3","title":"Athena.Repo.aggregate/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.aggregate/4 .","ref":"Athena.Repo.html#aggregate/4","title":"Athena.Repo.aggregate/4","type":"function"},{"doc":"Callback implementation for Ecto.Repo.all/2 .","ref":"Athena.Repo.html#all/2","title":"Athena.Repo.all/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.checked_out?/0 .","ref":"Athena.Repo.html#checked_out?/0","title":"Athena.Repo.checked_out?/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.checkout/2 .","ref":"Athena.Repo.html#checkout/2","title":"Athena.Repo.checkout/2","type":"function"},{"doc":"","ref":"Athena.Repo.html#child_spec/1","title":"Athena.Repo.child_spec/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.config/0 .","ref":"Athena.Repo.html#config/0","title":"Athena.Repo.config/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.default_options/1 .","ref":"Athena.Repo.html#default_options/1","title":"Athena.Repo.default_options/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete!/2 .","ref":"Athena.Repo.html#delete!/2","title":"Athena.Repo.delete!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete/2 .","ref":"Athena.Repo.html#delete/2","title":"Athena.Repo.delete/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.delete_all/2 .","ref":"Athena.Repo.html#delete_all/2","title":"Athena.Repo.delete_all/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that forces all connections in the pool to disconnect within the given interval. See Ecto.Adapters.SQL.disconnect_all/3 for more information.","ref":"Athena.Repo.html#disconnect_all/2","title":"Athena.Repo.disconnect_all/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.exists?/2 .","ref":"Athena.Repo.html#exists?/2","title":"Athena.Repo.exists?/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes an EXPLAIN statement or similar depending on the adapter to obtain statistics for the given query. See Ecto.Adapters.SQL.explain/4 for more information.","ref":"Athena.Repo.html#explain/3","title":"Athena.Repo.explain/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get!/3 .","ref":"Athena.Repo.html#get!/3","title":"Athena.Repo.get!/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get/3 .","ref":"Athena.Repo.html#get/3","title":"Athena.Repo.get/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get_by!/3 .","ref":"Athena.Repo.html#get_by!/3","title":"Athena.Repo.get_by!/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get_by/3 .","ref":"Athena.Repo.html#get_by/3","title":"Athena.Repo.get_by/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.get_dynamic_repo/0 .","ref":"Athena.Repo.html#get_dynamic_repo/0","title":"Athena.Repo.get_dynamic_repo/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.in_transaction?/0 .","ref":"Athena.Repo.html#in_transaction?/0","title":"Athena.Repo.in_transaction?/0","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert!/2 .","ref":"Athena.Repo.html#insert!/2","title":"Athena.Repo.insert!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert/2 .","ref":"Athena.Repo.html#insert/2","title":"Athena.Repo.insert/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_all/3 .","ref":"Athena.Repo.html#insert_all/3","title":"Athena.Repo.insert_all/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_or_update!/2 .","ref":"Athena.Repo.html#insert_or_update!/2","title":"Athena.Repo.insert_or_update!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.insert_or_update/2 .","ref":"Athena.Repo.html#insert_or_update/2","title":"Athena.Repo.insert_or_update/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.load/2 .","ref":"Athena.Repo.html#load/2","title":"Athena.Repo.load/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.one!/2 .","ref":"Athena.Repo.html#one!/2","title":"Athena.Repo.one!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.one/2 .","ref":"Athena.Repo.html#one/2","title":"Athena.Repo.one/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.preload/3 .","ref":"Athena.Repo.html#preload/3","title":"Athena.Repo.preload/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.prepare_query/3 .","ref":"Athena.Repo.html#prepare_query/3","title":"Athena.Repo.prepare_query/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.put_dynamic_repo/1 .","ref":"Athena.Repo.html#put_dynamic_repo/1","title":"Athena.Repo.put_dynamic_repo/1","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given query. See Ecto.Adapters.SQL.query!/4 for more information.","ref":"Athena.Repo.html#query!/3","title":"Athena.Repo.query!/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given query. See Ecto.Adapters.SQL.query/4 for more information.","ref":"Athena.Repo.html#query/3","title":"Athena.Repo.query/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given multi-result query. See Ecto.Adapters.SQL.query_many!/4 for more information.","ref":"Athena.Repo.html#query_many!/3","title":"Athena.Repo.query_many!/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given multi-result query. See Ecto.Adapters.SQL.query_many/4 for more information.","ref":"Athena.Repo.html#query_many/3","title":"Athena.Repo.query_many/3","type":"function"},{"doc":"Callback implementation for Ecto.Repo.reload!/2 .","ref":"Athena.Repo.html#reload!/2","title":"Athena.Repo.reload!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.reload/2 .","ref":"Athena.Repo.html#reload/2","title":"Athena.Repo.reload/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.rollback/1 .","ref":"Athena.Repo.html#rollback/1","title":"Athena.Repo.rollback/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.start_link/1 .","ref":"Athena.Repo.html#start_link/1","title":"Athena.Repo.start_link/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.stop/1 .","ref":"Athena.Repo.html#stop/1","title":"Athena.Repo.stop/1","type":"function"},{"doc":"Callback implementation for Ecto.Repo.stream/2 .","ref":"Athena.Repo.html#stream/2","title":"Athena.Repo.stream/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that translates the given query to SQL. See Ecto.Adapters.SQL.to_sql/3 for more information.","ref":"Athena.Repo.html#to_sql/2","title":"Athena.Repo.to_sql/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.transaction/2 .","ref":"Athena.Repo.html#transaction/2","title":"Athena.Repo.transaction/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update!/2 .","ref":"Athena.Repo.html#update!/2","title":"Athena.Repo.update!/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update/2 .","ref":"Athena.Repo.html#update/2","title":"Athena.Repo.update/2","type":"function"},{"doc":"Callback implementation for Ecto.Repo.update_all/3 .","ref":"Athena.Repo.html#update_all/3","title":"Athena.Repo.update_all/3","type":"function"},{"doc":"API Telemetry","ref":"Athena.Telemetry.html","title":"Athena.Telemetry","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Athena.Telemetry.html#child_spec/1","title":"Athena.Telemetry.child_spec/1","type":"function"},{"doc":"","ref":"Athena.Telemetry.html#dashboard_metrics/0","title":"Athena.Telemetry.dashboard_metrics/0","type":"function"},{"doc":"","ref":"Athena.Telemetry.html#metrics/0","title":"Athena.Telemetry.metrics/0","type":"function"},{"doc":"","ref":"Athena.Telemetry.html#start_link/1","title":"Athena.Telemetry.start_link/1","type":"function"},{"doc":"The entrypoint for defining your web interface, such as controllers, views, channels and so on. This can be used in your application as: use AthenaWeb , :controller use AthenaWeb , :view The definitions below will be executed for every view, controller, etc, so keep them short and clean, focused on imports, uses and aliases. Do NOT define functions inside the quoted expressions below. Instead, define any helper function in modules and import those modules here.","ref":"AthenaWeb.html","title":"AthenaWeb","type":"module"},{"doc":"When used, dispatch to the appropriate controller/view/etc.","ref":"AthenaWeb.html#__using__/1","title":"AthenaWeb.__using__/1","type":"macro"},{"doc":"","ref":"AthenaWeb.html#channel/0","title":"AthenaWeb.channel/0","type":"function"},{"doc":"","ref":"AthenaWeb.html#component/0","title":"AthenaWeb.component/0","type":"function"},{"doc":"","ref":"AthenaWeb.html#controller/0","title":"AthenaWeb.controller/0","type":"function"},{"doc":"","ref":"AthenaWeb.html#live/0","title":"AthenaWeb.live/0","type":"function"},{"doc":"","ref":"AthenaWeb.html#live_component/0","title":"AthenaWeb.live_component/0","type":"function"},{"doc":"","ref":"AthenaWeb.html#router/0","title":"AthenaWeb.router/0","type":"function"},{"doc":"","ref":"AthenaWeb.html#view/0","title":"AthenaWeb.view/0","type":"function"},{"doc":"","ref":"AthenaWeb.html#view/1","title":"AthenaWeb.view/1","type":"function"},{"doc":"","ref":"AthenaWeb.html#t:resolver_result/0","title":"AthenaWeb.resolver_result/0","type":"type"},{"doc":"","ref":"AthenaWeb.Admin.EventController.html","title":"AthenaWeb.Admin.EventController","type":"module"},{"doc":"","ref":"AthenaWeb.Admin.EventController.html#create/2","title":"AthenaWeb.Admin.EventController.create/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.EventController.html#delete/2","title":"AthenaWeb.Admin.EventController.delete/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.EventController.html#edit/2","title":"AthenaWeb.Admin.EventController.edit/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.EventController.html#index/2","title":"AthenaWeb.Admin.EventController.index/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.EventController.html#new/2","title":"AthenaWeb.Admin.EventController.new/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.EventController.html#show/2","title":"AthenaWeb.Admin.EventController.show/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.EventController.html#update/2","title":"AthenaWeb.Admin.EventController.update/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.EventView.html","title":"AthenaWeb.Admin.EventView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"AthenaWeb.Admin.EventView.html#__resource__/0","title":"AthenaWeb.Admin.EventView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"AthenaWeb.Admin.EventView.html#render/2","title":"AthenaWeb.Admin.EventView.render/2","type":"function"},{"doc":"Callback invoked when no template is found. By default it raises but can be customized to render a particular template.","ref":"AthenaWeb.Admin.EventView.html#template_not_found/2","title":"AthenaWeb.Admin.EventView.template_not_found/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemController.html","title":"AthenaWeb.Admin.ItemController","type":"module"},{"doc":"","ref":"AthenaWeb.Admin.ItemController.html#create/2","title":"AthenaWeb.Admin.ItemController.create/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemController.html#delete/2","title":"AthenaWeb.Admin.ItemController.delete/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemController.html#edit/2","title":"AthenaWeb.Admin.ItemController.edit/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemController.html#index/2","title":"AthenaWeb.Admin.ItemController.index/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemController.html#new/2","title":"AthenaWeb.Admin.ItemController.new/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemController.html#show/2","title":"AthenaWeb.Admin.ItemController.show/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemController.html#update/2","title":"AthenaWeb.Admin.ItemController.update/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemGroupController.html","title":"AthenaWeb.Admin.ItemGroupController","type":"module"},{"doc":"","ref":"AthenaWeb.Admin.ItemGroupController.html#create/2","title":"AthenaWeb.Admin.ItemGroupController.create/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemGroupController.html#delete/2","title":"AthenaWeb.Admin.ItemGroupController.delete/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemGroupController.html#edit/2","title":"AthenaWeb.Admin.ItemGroupController.edit/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemGroupController.html#index/2","title":"AthenaWeb.Admin.ItemGroupController.index/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemGroupController.html#new/2","title":"AthenaWeb.Admin.ItemGroupController.new/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemGroupController.html#show/2","title":"AthenaWeb.Admin.ItemGroupController.show/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemGroupController.html#update/2","title":"AthenaWeb.Admin.ItemGroupController.update/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemGroupView.html","title":"AthenaWeb.Admin.ItemGroupView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"AthenaWeb.Admin.ItemGroupView.html#__resource__/0","title":"AthenaWeb.Admin.ItemGroupView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"AthenaWeb.Admin.ItemGroupView.html#render/2","title":"AthenaWeb.Admin.ItemGroupView.render/2","type":"function"},{"doc":"Callback invoked when no template is found. By default it raises but can be customized to render a particular template.","ref":"AthenaWeb.Admin.ItemGroupView.html#template_not_found/2","title":"AthenaWeb.Admin.ItemGroupView.template_not_found/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.ItemView.html","title":"AthenaWeb.Admin.ItemView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"AthenaWeb.Admin.ItemView.html#__resource__/0","title":"AthenaWeb.Admin.ItemView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"AthenaWeb.Admin.ItemView.html#render/2","title":"AthenaWeb.Admin.ItemView.render/2","type":"function"},{"doc":"Callback invoked when no template is found. By default it raises but can be customized to render a particular template.","ref":"AthenaWeb.Admin.ItemView.html#template_not_found/2","title":"AthenaWeb.Admin.ItemView.template_not_found/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.LayoutView.html","title":"AthenaWeb.Admin.LayoutView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"AthenaWeb.Admin.LayoutView.html#__resource__/0","title":"AthenaWeb.Admin.LayoutView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"AthenaWeb.Admin.LayoutView.html#render/2","title":"AthenaWeb.Admin.LayoutView.render/2","type":"function"},{"doc":"Callback invoked when no template is found. By default it raises but can be customized to render a particular template.","ref":"AthenaWeb.Admin.LayoutView.html#template_not_found/2","title":"AthenaWeb.Admin.LayoutView.template_not_found/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.LocationController.html","title":"AthenaWeb.Admin.LocationController","type":"module"},{"doc":"","ref":"AthenaWeb.Admin.LocationController.html#create/2","title":"AthenaWeb.Admin.LocationController.create/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.LocationController.html#delete/2","title":"AthenaWeb.Admin.LocationController.delete/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.LocationController.html#edit/2","title":"AthenaWeb.Admin.LocationController.edit/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.LocationController.html#index/2","title":"AthenaWeb.Admin.LocationController.index/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.LocationController.html#new/2","title":"AthenaWeb.Admin.LocationController.new/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.LocationController.html#show/2","title":"AthenaWeb.Admin.LocationController.show/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.LocationController.html#update/2","title":"AthenaWeb.Admin.LocationController.update/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.LocationView.html","title":"AthenaWeb.Admin.LocationView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"AthenaWeb.Admin.LocationView.html#__resource__/0","title":"AthenaWeb.Admin.LocationView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"AthenaWeb.Admin.LocationView.html#render/2","title":"AthenaWeb.Admin.LocationView.render/2","type":"function"},{"doc":"Callback invoked when no template is found. By default it raises but can be customized to render a particular template.","ref":"AthenaWeb.Admin.LocationView.html#template_not_found/2","title":"AthenaWeb.Admin.LocationView.template_not_found/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.MovementController.html","title":"AthenaWeb.Admin.MovementController","type":"module"},{"doc":"","ref":"AthenaWeb.Admin.MovementController.html#create/2","title":"AthenaWeb.Admin.MovementController.create/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.MovementController.html#delete/2","title":"AthenaWeb.Admin.MovementController.delete/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.MovementController.html#edit/2","title":"AthenaWeb.Admin.MovementController.edit/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.MovementController.html#index/2","title":"AthenaWeb.Admin.MovementController.index/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.MovementController.html#new/2","title":"AthenaWeb.Admin.MovementController.new/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.MovementController.html#show/2","title":"AthenaWeb.Admin.MovementController.show/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.MovementController.html#update/2","title":"AthenaWeb.Admin.MovementController.update/2","type":"function"},{"doc":"","ref":"AthenaWeb.Admin.MovementView.html","title":"AthenaWeb.Admin.MovementView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"AthenaWeb.Admin.MovementView.html#__resource__/0","title":"AthenaWeb.Admin.MovementView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"AthenaWeb.Admin.MovementView.html#render/2","title":"AthenaWeb.Admin.MovementView.render/2","type":"function"},{"doc":"Callback invoked when no template is found. By default it raises but can be customized to render a particular template.","ref":"AthenaWeb.Admin.MovementView.html#template_not_found/2","title":"AthenaWeb.Admin.MovementView.template_not_found/2","type":"function"},{"doc":"Provides the core functions to retrieve and manage the CLDR data that supports formatting and localisation. It provides the core functions to access formatted CLDR data, set and retrieve a current locale and validate certain core data types such as locales, currencies and territories.","ref":"AthenaWeb.Cldr.html","title":"AthenaWeb.Cldr","type":"module"},{"doc":"See Cldr.available_locale_name?/1 .","ref":"AthenaWeb.Cldr.html#available_locale_name?/1","title":"AthenaWeb.Cldr.available_locale_name?/1","type":"function"},{"doc":"Returns the default locale . Example iex&gt; AthenaWeb.Cldr . default_locale ( ) % Cldr.LanguageTag { backend : AthenaWeb.Cldr , canonical_locale_name : &quot;en-001&quot; , cldr_locale_name : :&quot;en-001&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en-001&quot; , script : :Latn , territory : :&quot;001&quot; , transform : %{ } , language_variants : [ ] }","ref":"AthenaWeb.Cldr.html#default_locale/0","title":"AthenaWeb.Cldr.default_locale/0","type":"function"},{"doc":"Returns the default territory when a locale does not specify one and none can be inferred. Example iex&gt; AthenaWeb.Cldr . default_territory ( ) :&quot;001&quot;","ref":"AthenaWeb.Cldr.html#default_territory/0","title":"AthenaWeb.Cldr.default_territory/0","type":"function"},{"doc":"Add locale-specific ellipsis to a string. Arguments string is any String.t or a 2-element list of String.t between which the ellipsis is inserted. backend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend!/0 . Note that Cldr.default_backend!/0 will raise an exception if no :default_backend is configured under the :ex_cldr key in config.exs . options is a keyword list of options Options :locale is any valid locale name returned by Cldr.known_locale_names/1 . The default is Cldr.get_locale/0 . :location determines where to place the ellipsis. The options are :after (the default for a single string argument), :between (the default and only valid location for an argument that is a list of two strings) and :before . :format formats based upon whether the ellipsis is inserted between words or sentences. The valid options are :word or :sentence . The default is :sentence . Examples iex&gt; AthenaWeb.Cldr . ellipsis &quot;And furthermore&quot; &quot;And furthermore…&quot; iex&gt; AthenaWeb.Cldr . ellipsis [ &quot;And furthermore&quot; , &quot;there is much to be done&quot; ] , locale : :ja &quot;And furthermore…there is much to be done&quot; iex&gt; AthenaWeb.Cldr . ellipsis &quot;And furthermore&quot; , format : :word &quot;And furthermore …&quot; iex&gt; AthenaWeb.Cldr . ellipsis [ &quot;And furthermore&quot; , &quot;there is much to be done&quot; ] , locale : :ja , format : :word &quot;And furthermore … there is much to be done&quot;","ref":"AthenaWeb.Cldr.html#ellipsis/2","title":"AthenaWeb.Cldr.ellipsis/2","type":"function"},{"doc":"Return the current locale to be used for Cldr functions that take an optional locale parameter for which a locale is not supplied. Example iex&gt; AthenaWeb.Cldr . put_locale ( &quot;pl&quot; ) iex&gt; AthenaWeb.Cldr . get_locale % Cldr.LanguageTag { backend : Elixir.AthenaWeb.Cldr , canonical_locale_name : &quot;pl&quot; , cldr_locale_name : :pl , extensions : %{ } , language : &quot;pl&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :pl , territory : :PL , requested_locale_name : &quot;pl&quot; , script : :Latn , transform : %{ } , language_variants : [ ] }","ref":"AthenaWeb.Cldr.html#get_locale/0","title":"AthenaWeb.Cldr.get_locale/0","type":"function"},{"doc":"See Cldr.known_calendars/0 .","ref":"AthenaWeb.Cldr.html#known_calendars/0","title":"AthenaWeb.Cldr.known_calendars/0","type":"function"},{"doc":"See Cldr.known_currencies/0 .","ref":"AthenaWeb.Cldr.html#known_currencies/0","title":"AthenaWeb.Cldr.known_currencies/0","type":"function"},{"doc":"Returns either the Gettext locale_name in Cldr format or false based upon whether the locale name is configured in Gettext . Arguments locale is any valid locale name returned by AthenaWeb.Cldr.known_gettext_locale_names/0 Examples iex&gt; AthenaWeb.Cldr . known_gettext_locale_name &quot;en&quot; &quot;en&quot; iex&gt; AthenaWeb.Cldr . known_gettext_locale_name &quot;en-SA&quot; false","ref":"AthenaWeb.Cldr.html#known_gettext_locale_name/1","title":"AthenaWeb.Cldr.known_gettext_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Gettext. Arguments locale is any valid locale name returned by AthenaWeb.Cldr.known_locale_names/0 Examples iex&gt; AthenaWeb.Cldr . known_gettext_locale_name? ( &quot;en&quot; ) true iex&gt; AthenaWeb.Cldr . known_gettext_locale_name? ( &quot;!!&quot; ) false","ref":"AthenaWeb.Cldr.html#known_gettext_locale_name?/1","title":"AthenaWeb.Cldr.known_gettext_locale_name?/1","type":"function"},{"doc":"Returns a list of GetText locale names but in CLDR format with underscore replaced by hyphen in order to facilitate comparisons with Cldr locale names.","ref":"AthenaWeb.Cldr.html#known_gettext_locale_names/0","title":"AthenaWeb.Cldr.known_gettext_locale_names/0","type":"function"},{"doc":"Returns either the locale_name or false based upon whether the locale name is configured in Cldr . This is helpful when building a list of or expressions to return the first known locale name from a list. Arguments locale is any valid locale name returned by AthenaWeb.Cldr.known_locale_names/0 Examples iex&gt; AthenaWeb.Cldr . known_locale_name :&quot;en-AU&quot; :&quot;en-AU&quot; iex&gt; AthenaWeb.Cldr . known_locale_name :&quot;en-SA&quot; false","ref":"AthenaWeb.Cldr.html#known_locale_name/1","title":"AthenaWeb.Cldr.known_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Cldr. Arguments locale is any valid locale name returned by AthenaWeb.Cldr.known_locale_names/0 Examples iex&gt; AthenaWeb.Cldr . known_locale_name? ( :en ) true iex&gt; AthenaWeb.Cldr . known_locale_name? ( :&quot;!!&quot; ) false","ref":"AthenaWeb.Cldr.html#known_locale_name?/1","title":"AthenaWeb.Cldr.known_locale_name?/1","type":"function"},{"doc":"Returns a list of the known locale names. Known locales are those locales which are the subset of all CLDR locales that have been configured for use either in this module or in Gettext .","ref":"AthenaWeb.Cldr.html#known_locale_names/0","title":"AthenaWeb.Cldr.known_locale_names/0","type":"function"},{"doc":"Returns a list of atoms representing the number systems types known to Cldr . Example iex&gt; AthenaWeb.Cldr . known_number_system_types [ :default , :finance , :native , :traditional ]","ref":"AthenaWeb.Cldr.html#known_number_system_types/0","title":"AthenaWeb.Cldr.known_number_system_types/0","type":"function"},{"doc":"See Cldr.known_number_systems/0 .","ref":"AthenaWeb.Cldr.html#known_number_systems/0","title":"AthenaWeb.Cldr.known_number_systems/0","type":"function"},{"doc":"Returns either the RBNF locale_name or false based upon whether the locale name is configured in Cldr and has RBNF rules defined. Arguments locale is any valid locale name returned by AthenaWeb.Cldr.known_locale_names/0 Examples iex&gt; AthenaWeb.Cldr . known_rbnf_locale_name :en :en iex&gt; AthenaWeb.Cldr . known_rbnf_locale_name :&quot;en-SA&quot; false","ref":"AthenaWeb.Cldr.html#known_rbnf_locale_name/1","title":"AthenaWeb.Cldr.known_rbnf_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Cldr and supports rules based number formats (RBNF). Arguments locale is any valid locale name returned by AthenaWeb.Cldr.known_locale_names/0 Examples iex&gt; AthenaWeb.Cldr . known_rbnf_locale_name? ( :en ) true iex&gt; AthenaWeb.Cldr . known_rbnf_locale_name? ( :&quot;!!&quot; ) false","ref":"AthenaWeb.Cldr.html#known_rbnf_locale_name?/1","title":"AthenaWeb.Cldr.known_rbnf_locale_name?/1","type":"function"},{"doc":"Returns a list of locale names which have rules-based number formats (RBNF).","ref":"AthenaWeb.Cldr.html#known_rbnf_locale_names/0","title":"AthenaWeb.Cldr.known_rbnf_locale_names/0","type":"function"},{"doc":"See Cldr.known_territories/0 .","ref":"AthenaWeb.Cldr.html#known_territories/0","title":"AthenaWeb.Cldr.known_territories/0","type":"function"},{"doc":"Normalizes a string by applying transliteration of common symbols in numbers, currencies and dates","ref":"AthenaWeb.Cldr.html#normalize_lenient_parse/3","title":"AthenaWeb.Cldr.normalize_lenient_parse/3","type":"function"},{"doc":"Set the current locale to be used for Cldr functions that take an optional locale parameter for which a locale is not supplied. Arguments locale is any valid locale name returned by AthenaWeb.Cldr.known_locale_names/0 or a t:Cldr.LanguageTag struct returned by AthenaWeb.Cldr.Locale.new!/1 See rfc5646 for the specification of a language tag. Examples iex&gt; AthenaWeb.Cldr . put_locale ( &quot;en&quot; ) { :ok , % Cldr.LanguageTag { backend : AthenaWeb.Cldr , canonical_locale_name : &quot;en&quot; , cldr_locale_name : :en , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en&quot; , script : :Latn , territory : :US , transform : %{ } , language_variants : [ ] } } iex&gt; AthenaWeb.Cldr . put_locale ( &quot;invalid-locale!&quot; ) { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; ! \\&quot; starting at position 15&quot; } }","ref":"AthenaWeb.Cldr.html#put_locale/1","title":"AthenaWeb.Cldr.put_locale/1","type":"function"},{"doc":"Add locale-specific quotation marks around a string. Arguments string is any valid Elixir string options is a keyword list of options Options locale is any valid locale name returned by Cldr.known_locale_names/1 . The default is Cldr.get_locale/0 Examples iex&gt; AthenaWeb.Cldr . quote &quot;Quoted String&quot; &quot;“Quoted String”&quot; iex&gt; AthenaWeb.Cldr . quote &quot;Quoted String&quot; , locale : :ja &quot;「Quoted String」&quot;","ref":"AthenaWeb.Cldr.html#quote/2","title":"AthenaWeb.Cldr.quote/2","type":"function"},{"doc":"Returns a list of the locales names that are configured, but not known in CLDR. Since there is a compile-time exception raised if there are any unknown locales this function should always return an empty list.","ref":"AthenaWeb.Cldr.html#unknown_locale_names/0","title":"AthenaWeb.Cldr.unknown_locale_names/0","type":"function"},{"doc":"See Cldr.validate_calendar/1 .","ref":"AthenaWeb.Cldr.html#validate_calendar/1","title":"AthenaWeb.Cldr.validate_calendar/1","type":"function"},{"doc":"See Cldr.validate_currency/1 .","ref":"AthenaWeb.Cldr.html#validate_currency/1","title":"AthenaWeb.Cldr.validate_currency/1","type":"function"},{"doc":"Normalise and validate a locale name. Arguments locale is any valid locale name returned by AthenaWeb.Cldr.known_locale_names/0 or a Cldr.LanguageTag struct returned by AthenaWeb.Cldr.Locale.new!/1 Returns {:ok, language_tag} {:error, reason} Notes See rfc5646 for the specification of a language tag. Examples iex&gt; AthenaWeb.Cldr . validate_locale ( :en ) { :ok , % Cldr.LanguageTag { backend : AthenaWeb.Cldr , canonical_locale_name : &quot;en&quot; , cldr_locale_name : :en , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en&quot; , script : :Latn , territory : :US , transform : %{ } , language_variants : [ ] } } iex&gt; AthenaWeb.Cldr . validate_locale AthenaWeb.Cldr . default_locale ( ) { :ok , % Cldr.LanguageTag { backend : AthenaWeb.Cldr , canonical_locale_name : &quot;en-001&quot; , cldr_locale_name : :&quot;en-001&quot; , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en-001&quot; , script : :Latn , territory : :&quot;001&quot; , transform : %{ } , language_variants : [ ] } } iex&gt; AthenaWeb.Cldr . validate_locale ( &quot;zzz&quot; ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"AthenaWeb.Cldr.html#validate_locale/1","title":"AthenaWeb.Cldr.validate_locale/1","type":"function"},{"doc":"See Cldr.validate_number_system/1 .","ref":"AthenaWeb.Cldr.html#validate_number_system/1","title":"AthenaWeb.Cldr.validate_number_system/1","type":"function"},{"doc":"Normalise and validate a number system type. Arguments number_system_type is any number system type returned by Cldr.known_number_system_types/1 Returns {:ok, normalized_number_system_type} or {:error, {exception, message}} Examples iex&gt; AthenaWeb.Cldr . validate_number_system_type :default { :ok , :default } iex&gt; AthenaWeb.Cldr . validate_number_system_type :traditional { :ok , :traditional } iex&gt; AthenaWeb.Cldr . validate_number_system_type :latn { :error , { Cldr.UnknownNumberSystemTypeError , &quot;The number system type :latn is unknown&quot; } } iex&gt; AthenaWeb.Cldr . validate_number_system_type &quot;bork&quot; { :error , { Cldr.UnknownNumberSystemTypeError , &quot;The number system type \\&quot; bork \\&quot; is invalid&quot; } }","ref":"AthenaWeb.Cldr.html#validate_number_system_type/1","title":"AthenaWeb.Cldr.validate_number_system_type/1","type":"function"},{"doc":"See Cldr.validate_territory/1 .","ref":"AthenaWeb.Cldr.html#validate_territory/1","title":"AthenaWeb.Cldr.validate_territory/1","type":"function"},{"doc":"Execute a function with a locale ensuring that the current locale is restored after the function. Arguments locale is any valid locale name returned by Cldr.known_locale_names/1 . fun is any 0-arity function or function capture. Returns The value returned by the function fun/0 or {:error, {exception, reason}} if the locale is invalid or raises an exception if the current locale cannot be identified.","ref":"AthenaWeb.Cldr.html#with_locale/2","title":"AthenaWeb.Cldr.with_locale/2","type":"function"},{"doc":"Parses HTTP Accept-Language header values as defined in rfc2616 . The Accept-Language request-header field is similar to Accept, but restricts the set of natural languages that are preferred as a response to the request. Language tags function are provided in Cldr.LanguageTag . The format of an Accept-Language header is as follows in ABNF format: Accept - Language = &quot;Accept-Language&quot; &quot;:&quot; 1 #( language-range [ &quot;;&quot; &quot;q&quot; &quot;=&quot; qvalue ] ) language - range = ( ( 1 * 8 ALPHA * ( &quot;-&quot; 1 * 8 ALPHA ) ) | &quot;*&quot; ) Each language-range MAY be given an associated quality value which represents an estimate of the user's preference for the languages specified by that range. The quality value defaults to &quot;q=1&quot;. For example, Accept - Language : da , en - gb ; q = 0.8 , en ; q = 0.7 would mean: &quot;I prefer Danish, but will accept British English and other types of English.&quot;","ref":"AthenaWeb.Cldr.AcceptLanguage.html","title":"AthenaWeb.Cldr.AcceptLanguage","type":"module"},{"doc":"Parse an Accept-Language string and return the best match for a configured Cldr locale. Arguments accept_langauge is a string representing an accept language header Returns {:ok, language_tag} or {:error, reason} Examples iex&gt; AthenaWeb.Cldr.AcceptLanguage . best_match ( &quot;da;q=0.1,zh-TW;q=0.3&quot; , TestBackend.Cldr ) { :ok , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } iex&gt; AthenaWeb.Cldr.AcceptLanguage . best_match ( &quot;da;q=0.1,zh-TW;q=0.3&quot; , TestBackend.Cldr ) { :ok , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } iex&gt; AthenaWeb.Cldr.AcceptLanguage . best_match ( &quot;xx,yy;q=0.3&quot; ) { :error , { Cldr.NoMatchingLocale , &quot;No configured locale could be matched to \\&quot; xx,yy;q=0.3 \\&quot; &quot; } } iex&gt; AthenaWeb.Cldr.AcceptLanguage . best_match ( &quot;invalid_tag&quot; ) { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } }","ref":"AthenaWeb.Cldr.AcceptLanguage.html#best_match/1","title":"AthenaWeb.Cldr.AcceptLanguage.best_match/1","type":"function"},{"doc":"Parses an Accept-Language header value in its string or tokenized form to produce a list of tuples of the form [{quality, %Cldr.LanguageTag{}}, ...] sorted by quality in descending order. Arguments accept-language is any string in the format defined by rfc2616 Returns {:ok, [{quality, language_tag}, ...]} or raises a Cldr.AcceptLanguageError exception If at least one valid language tag is found but errors are also detected on one more more tags, an {ok, list} tuple is returned wuth an error tuple for each invalid tag added at the end of the list. Example iex&gt; AthenaWeb.Cldr.AcceptLanguage . parse! ( &quot;da,zh-TW;q=0.3&quot; ) [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } ] AthenaWeb.Cldr.AcceptLanguage . parse! &quot;invalid_tag&quot; ** (Cldr.AcceptLanguageError) &quot;Expected a BCP47 language tag. Could not parse the remaining &quot;g&quot; starting at position 11 (ex_cldr) lib/cldr/accept_language.ex:304: Cldr.AcceptLanguage.parse!/1 iex&gt; AthenaWeb.Cldr.AcceptLanguage . parse! ( &quot;da,zh-TW;q=0.3,invalid_tag&quot; ) [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } , { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } } ]","ref":"AthenaWeb.Cldr.AcceptLanguage.html#parse!/1","title":"AthenaWeb.Cldr.AcceptLanguage.parse!/1","type":"function"},{"doc":"Parses an Accept-Language header value in its string or tokenized form to return a tuple of the form {:ok, [{quality, %Cldr.LanguageTag{}}, ...]} sorted by quality. Arguments accept-language is any string in the format defined by rfc2616 backend is any module that includes use Cldr and therefore is a Cldr backend module Returns {:ok, [{quality, language_tag}, ...]} or {:error, {Cldr.AcceptLanguageError, String.t}} If at least one valid language tag is found but errors are also detected on one more more tags, an {ok, list} tuple is returned wuth an error tuple for each invalid tag added at the end of the list. Example iex&gt; Cldr.AcceptLanguage . parse ( &quot;da,zh-TW;q=0.3&quot; , TestBackend.Cldr ) { :ok , [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } ] } iex&gt; AthenaWeb.Cldr.AcceptLanguage . parse ( &quot;invalid_tag&quot; ) { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } } iex&gt; AthenaWeb.Cldr.AcceptLanguage . parse ( &quot;da,zh-TW;q=0.3,invalid_tag&quot; ) { :ok , [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } , { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } } ] }","ref":"AthenaWeb.Cldr.AcceptLanguage.html#parse/1","title":"AthenaWeb.Cldr.AcceptLanguage.parse/1","type":"function"},{"doc":"Backend module that provides functions to define new locales and display human-readable locale names for presentation purposes.","ref":"AthenaWeb.Cldr.Locale.html","title":"AthenaWeb.Cldr.Locale","type":"module"},{"doc":"Returns the list of fallback locale names, starting with the provided locale name. Fallbacks are a list of locate names which can be used to resolve translation or other localization data if such localised data does not exist for this specific locale. After locale-specific fallbacks are determined, the the default locale and its fallbacks are added to the chain. Arguments locale_name is any locale name returned by AthenaWeb.Cldr.known_locale_names/0 Returns {:ok, list_of_locale_names} or {:error, {exception, reason}} Examples In these examples the default locale is :&quot;en-001&quot; . iex&gt; AthenaWeb.Cldr.Locale . fallback_locale_names ( :&quot;fr-CA&quot; ) { :ok , [ :&quot;fr-CA&quot; , :fr , :&quot;en-001&quot; , :en ] } # Fallbacks are typically formed by progressively # stripping variant, territory and script from the # given locale name. But not always - there are # certain fallbacks that take a different path. iex&gt; AthenaWeb.Cldr.Locale . fallback_locale_names ( :nb ) { :ok , [ :nb , :no , :&quot;en-001&quot; , :en ] }","ref":"AthenaWeb.Cldr.Locale.html#fallback_locale_names/1","title":"AthenaWeb.Cldr.Locale.fallback_locale_names/1","type":"function"},{"doc":"Returns the list of fallback locales, starting with the provided locale name. Fallbacks are a list of locate names which can be used to resolve translation or other localization data if such localised data does not exist for this specific locale. After locale-specific fallbacks are determined, the the default locale and its fallbacks are added to the chain. Arguments locale_name is any locale name returned by AthenaWeb.Cldr.known_locale_names/0 Returns {:ok, list_of_locales} or {:error, {exception, reason}} Examples In these examples the default locale is :&quot;en-001&quot; . AthenaWeb.Cldr.Locale . fallback_locales ( :&quot;fr-CA&quot; ) =&gt; { :ok , [ # Cldr.LanguageTag &lt; fr - CA [ validated ] &gt; , # Cldr.LanguageTag &lt; fr [ validated ] &gt; , # Cldr.LanguageTag &lt; en [ validated ] &gt; ] } # Fallbacks are typically formed by progressively # stripping variant, territory and script from the # given locale name. But not always - there are # certain fallbacks that take a different path. AthenaWeb.Cldr.Locale . fallback_locales ( :nb ) ) =&gt; { :ok , [ # Cldr.LanguageTag &lt; nb [ validated ] &gt; , # Cldr.LanguageTag &lt; no [ validated ] &gt; , # Cldr.LanguageTag &lt; en [ validated ] &gt; ] }","ref":"AthenaWeb.Cldr.Locale.html#fallback_locales/1","title":"AthenaWeb.Cldr.Locale.fallback_locales/1","type":"function"},{"doc":"Returns the &quot;best fit&quot; locale for a given territory. Using the population percentage data from CLDR, the language most commonly spoken in the given territory is used to form a locale name which is then validated against the given backend. First a territory-specific locale is validated and if that fails, the base language only is validate. For example, if the territory is AU then then the language most spoken is &quot;en&quot;. First, the locale &quot;en-AU&quot; is validated and if that fails, &quot;en&quot; is validated. Arguments territory is any ISO 3166 Alpha-2 territory code that can be validated by Cldr.validate_territory/1 Returns {:ok, language_tag} or {:error, {exception, reason}} Examples iex&gt; AthenaWeb.Cldr.Locale.locale_for_territory(:AU) Elixir.AthenaWeb.Cldr.validate_locale(:&quot;en-AU&quot;) iex&gt; AthenaWeb.Cldr.Locale.locale_for_territory(:US) Elixir.AthenaWeb.Cldr.validate_locale(:&quot;en-US&quot;) iex&gt; AthenaWeb.Cldr.Locale.locale_for_territory(:ZZ) {:error, {Cldr.UnknownTerritoryError, &quot;The territory :ZZ is unknown&quot;}}","ref":"AthenaWeb.Cldr.Locale.html#locale_for_territory/1","title":"AthenaWeb.Cldr.Locale.locale_for_territory/1","type":"function"},{"doc":"Returns a &quot;best fit&quot; locale for a host name. Arguments host is any valid host name options is a keyword list of options. The default is [] . Options :tlds is a list of territory codes as upper-cased atoms that are to be considered as top-level domains. See Cldr.Locale.locale_from_host/2 for the default list. Returns {:ok, langauge_tag} or {:error, {exception, reason}} Notes Certain top-level domains have become associated with content underlated to the territory for who the domain is registered. Therefore Google (and perhaps others) do not associate these TLDs as belonging to the territory but rather are considered generic top-level domain names. Examples iex&gt; AthenaWeb.Cldr.Locale . locale_from_host &quot;a.b.com.au&quot; Elixir.AthenaWeb.Cldr . validate_locale ( :&quot;en-AU&quot; ) iex&gt; AthenaWeb.Cldr.Locale . locale_from_host ( &quot;a.b.com.tv&quot; ) { :error , { Cldr.UnknownLocaleError , &quot;No locale was identified for territory \\&quot; tv \\&quot; &quot; } } iex&gt; AthenaWeb.Cldr.Locale . locale_from_host ( &quot;a.b.com&quot; ) { :error , { Cldr.UnknownLocaleError , &quot;No locale was identified for territory \\&quot; com \\&quot; &quot; } }","ref":"AthenaWeb.Cldr.Locale.html#locale_from_host/2","title":"AthenaWeb.Cldr.Locale.locale_from_host/2","type":"function"},{"doc":"","ref":"AthenaWeb.Cldr.Locale.html#new!/1","title":"AthenaWeb.Cldr.Locale.new!/1","type":"function"},{"doc":"","ref":"AthenaWeb.Cldr.Locale.html#new/1","title":"AthenaWeb.Cldr.Locale.new/1","type":"function"},{"doc":"Returns the last segment of a host that might be a territory. Arguments host is any valid host name Returns {:ok, territory} or {:error, {exception, reason}} Examples iex&gt; Cldr.Locale . territory_from_host ( &quot;a.b.com.au&quot; ) { :ok , :AU } iex&gt; Cldr.Locale . territory_from_host ( &quot;a.b.com&quot; ) { :error , { Cldr.UnknownLocaleError , &quot;No locale was identified for territory \\&quot; com \\&quot; &quot; } }","ref":"AthenaWeb.Cldr.Locale.html#territory_from_host/1","title":"AthenaWeb.Cldr.Locale.territory_from_host/1","type":"function"},{"doc":"Returns the territory from a language tag or locale name. Arguments locale is any language tag returned by AthenaWeb.Cldr.Locale.new/1 or a locale name in the list returned by AthenaWeb.Cldr.known_locale_names/0 Returns A territory code as an atom Examples iex&gt; AthenaWeb.Cldr.Locale . territory_from_locale &quot;en-US&quot; :US iex&gt; AthenaWeb.Cldr.Locale . territory_from_locale &quot;en-US-u-rg-GBzzzz&quot; :GB","ref":"AthenaWeb.Cldr.Locale.html#territory_from_locale/1","title":"AthenaWeb.Cldr.Locale.territory_from_locale/1","type":"function"},{"doc":"Returns the time zone from a language tag or locale name. Arguments locale is any language tag returned by AthenaWeb.Cldr.Locale.new/1 or a locale name in the list returned by AthenaWeb.Cldr.known_locale_names/0 Returns A time zone ID as a string or :error if no time zone can be determined Examples iex&gt; AthenaWeb.Cldr.Locale . timezone_from_locale &quot;en-US-u-tz-ausyd&quot; &quot;Australia/Sydney&quot;","ref":"AthenaWeb.Cldr.Locale.html#timezone_from_locale/1","title":"AthenaWeb.Cldr.Locale.timezone_from_locale/1","type":"function"},{"doc":"Implements cardinal plural rules for numbers.","ref":"AthenaWeb.Cldr.Number.Cardinal.html","title":"AthenaWeb.Cldr.Number.Cardinal","type":"module"},{"doc":"The locale names for which plural rules are defined.","ref":"AthenaWeb.Cldr.Number.Cardinal.html#available_locale_names/0","title":"AthenaWeb.Cldr.Number.Cardinal.available_locale_names/0","type":"function"},{"doc":"The configured locales for which plural rules are defined. Returns the intersection of AthenaWeb.Cldr.known_locale_names/0 and the locales for which Cardinal plural rules are defined. There are many Cldr locales which don't have their own plural rules so this list is the intersection of Cldr 's configured locales and those that have rules.","ref":"AthenaWeb.Cldr.Number.Cardinal.html#known_locale_names/0","title":"AthenaWeb.Cldr.Number.Cardinal.known_locale_names/0","type":"function"},{"doc":"Return the plural key for a given number in a given locale Returns which plural key ( :zero , :one , :two , :few , :many or :other ) a given number fits into within the context of a given locale. Note that these key names should not be interpreted literally. For example, the key returned from Cldr.Number.Ordinal.plural_rule(0, &quot;en&quot;) is actually :other , not :zero . This key can then be used to format a number, date, time, unit, list or other content in a plural-sensitive way. Arguments number is any integer , float or Decimal locale is any locale returned by Cldr.Locale.new!/2 or any locale_name returned by AthenaWeb.Cldr.known_locale_names/0 rounding is one of [:down, :up, :ceiling, :floor, :half_even, :half_up, :half_down] . The default is :half_even . Examples iex&gt; AthenaWeb.Cldr.Number.Cardinal . plural_rule 0 , &quot;fr&quot; :one iex&gt; AthenaWeb.Cldr.Number.Cardinal . plural_rule 0 , &quot;en&quot; :other","ref":"AthenaWeb.Cldr.Number.Cardinal.html#plural_rule/3","title":"AthenaWeb.Cldr.Number.Cardinal.plural_rule/3","type":"function"},{"doc":"Returns all the plural rules defined in CLDR.","ref":"AthenaWeb.Cldr.Number.Cardinal.html#plural_rules/0","title":"AthenaWeb.Cldr.Number.Cardinal.plural_rules/0","type":"function"},{"doc":"Return the plural rules for a locale. Arguments locale is any locale returned by AthenaWeb.Cldr.Locale.new!/1 or any locale_name returned by AthenaWeb.Cldr.known_locale_names/0 The rules are returned in AST form after parsing.","ref":"AthenaWeb.Cldr.Number.Cardinal.html#plural_rules_for/1","title":"AthenaWeb.Cldr.Number.Cardinal.plural_rules_for/1","type":"function"},{"doc":"Pluralize a number using cardinal plural rules and a substitution map. Arguments number is an integer, float or Decimal locale is any locale returned by AthenaWeb.Cldr.Locale.new!/1 or any locale_name returned by AthenaWeb.Cldr.known_locale_names/0 substitutions is a map that maps plural keys to a string. The valid substitution keys are :zero , :one , :two , :few , :many and :other . See also AthenaWeb.Cldr.Number.Cardinal.Cardinal.plural_rule/3 . Examples iex&gt; AthenaWeb.Cldr.Number.Cardinal . pluralize 1 , &quot;en&quot; , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; AthenaWeb.Cldr.Number.Cardinal . pluralize 2 , &quot;en&quot; , %{ one : &quot;one&quot; } nil iex&gt; AthenaWeb.Cldr.Number.Cardinal . pluralize 2 , &quot;en&quot; , %{ one : &quot;one&quot; , two : &quot;two&quot; , other : &quot;other&quot; } &quot;other&quot; iex&gt; AthenaWeb.Cldr.Number.Cardinal . pluralize 22 , &quot;en&quot; , %{ one : &quot;one&quot; , two : &quot;two&quot; , other : &quot;other&quot; } &quot;other&quot; iex&gt; AthenaWeb.Cldr.Number.Cardinal . pluralize Decimal . new ( 1 ) , &quot;en&quot; , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; AthenaWeb.Cldr.Number.Cardinal . pluralize Decimal . new ( 2 ) , &quot;en&quot; , %{ one : &quot;one&quot; } nil iex&gt; AthenaWeb.Cldr.Number.Cardinal . pluralize Decimal . new ( 2 ) , &quot;en&quot; , %{ one : &quot;one&quot; , two : &quot;two&quot; } nil iex&gt; AthenaWeb.Cldr.Number.Cardinal . pluralize 1 .. 10 , &quot;ar&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;few&quot; iex&gt; AthenaWeb.Cldr.Number.Cardinal . pluralize 1 .. 10 , &quot;en&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;other&quot;","ref":"AthenaWeb.Cldr.Number.Cardinal.html#pluralize/3","title":"AthenaWeb.Cldr.Number.Cardinal.pluralize/3","type":"function"},{"doc":"Implements ordinal plural rules for numbers.","ref":"AthenaWeb.Cldr.Number.Ordinal.html","title":"AthenaWeb.Cldr.Number.Ordinal","type":"module"},{"doc":"The locale names for which plural rules are defined.","ref":"AthenaWeb.Cldr.Number.Ordinal.html#available_locale_names/0","title":"AthenaWeb.Cldr.Number.Ordinal.available_locale_names/0","type":"function"},{"doc":"The configured locales for which plural rules are defined. Returns the intersection of AthenaWeb.Cldr.known_locale_names/0 and the locales for which Ordinal plural rules are defined. There are many Cldr locales which don't have their own plural rules so this list is the intersection of Cldr 's configured locales and those that have rules.","ref":"AthenaWeb.Cldr.Number.Ordinal.html#known_locale_names/0","title":"AthenaWeb.Cldr.Number.Ordinal.known_locale_names/0","type":"function"},{"doc":"Return the plural key for a given number in a given locale Returns which plural key ( :zero , :one , :two , :few , :many or :other ) a given number fits into within the context of a given locale. Note that these key names should not be interpreted literally. For example, the key returned from Cldr.Number.Ordinal.plural_rule(0, &quot;en&quot;) is actually :other , not :zero . This key can then be used to format a number, date, time, unit, list or other content in a plural-sensitive way. Arguments number is any integer , float or Decimal locale is any locale returned by Cldr.Locale.new!/2 or any locale_name returned by AthenaWeb.Cldr.known_locale_names/0 rounding is one of [:down, :up, :ceiling, :floor, :half_even, :half_up, :half_down] . The default is :half_even . Examples iex&gt; AthenaWeb.Cldr.Number.Ordinal . plural_rule 0 , &quot;fr&quot; :other iex&gt; AthenaWeb.Cldr.Number.Ordinal . plural_rule 1 , &quot;en&quot; :one","ref":"AthenaWeb.Cldr.Number.Ordinal.html#plural_rule/3","title":"AthenaWeb.Cldr.Number.Ordinal.plural_rule/3","type":"function"},{"doc":"Returns all the plural rules defined in CLDR.","ref":"AthenaWeb.Cldr.Number.Ordinal.html#plural_rules/0","title":"AthenaWeb.Cldr.Number.Ordinal.plural_rules/0","type":"function"},{"doc":"Return the plural rules for a locale. Arguments locale is any locale returned by AthenaWeb.Cldr.Locale.new!/1 or any locale_name returned by AthenaWeb.Cldr.known_locale_names/0 The rules are returned in AST form after parsing.","ref":"AthenaWeb.Cldr.Number.Ordinal.html#plural_rules_for/1","title":"AthenaWeb.Cldr.Number.Ordinal.plural_rules_for/1","type":"function"},{"doc":"Pluralize a number using ordinal plural rules and a substitution map. Arguments number is an integer, float or Decimal or a Range.t{} . When a range, The is that in any usage, the start value is strictly less than the end value, and that no values are negative. Results for any cases that do not meet these criteria are undefined. locale is any locale returned by AthenaWeb.Cldr.Locale.new!/1 or any locale_name returned by AthenaWeb.Cldr.known_locale_names/0 substitutions is a map that maps plural keys to a string. The valid substitution keys are :zero , :one , :two , :few , :many and :other . See also AthenaWeb.Cldr.Number.Ordinal.Ordinal.plural_rule/3 . Examples iex&gt; AthenaWeb.Cldr.Number.Ordinal . pluralize 1 , :en , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; AthenaWeb.Cldr.Number.Ordinal . pluralize 2 , :en , %{ one : &quot;one&quot; } nil iex&gt; AthenaWeb.Cldr.Number.Ordinal . pluralize 2 , :en , %{ one : &quot;one&quot; , two : &quot;two&quot; } &quot;two&quot; iex&gt; AthenaWeb.Cldr.Number.Ordinal . pluralize 22 , :en , %{ one : &quot;one&quot; , two : &quot;two&quot; , other : &quot;other&quot; } &quot;two&quot; iex&gt; AthenaWeb.Cldr.Number.Ordinal . pluralize Decimal . new ( 1 ) , :en , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; AthenaWeb.Cldr.Number.Ordinal . pluralize Decimal . new ( 2 ) , :en , %{ one : &quot;one&quot; } nil iex&gt; AthenaWeb.Cldr.Number.Ordinal . pluralize Decimal . new ( 2 ) , :en , %{ one : &quot;one&quot; , two : &quot;two&quot; } &quot;two&quot; iex&gt; AthenaWeb.Cldr.Number.Ordinal . pluralize 1 .. 10 , &quot;ar&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;other&quot; iex&gt; AthenaWeb.Cldr.Number.Ordinal . pluralize 1 .. 10 , &quot;en&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;other&quot;","ref":"AthenaWeb.Cldr.Number.Ordinal.html#pluralize/3","title":"AthenaWeb.Cldr.Number.Ordinal.pluralize/3","type":"function"},{"doc":"Implements plural rules for ranges","ref":"AthenaWeb.Cldr.Number.PluralRule.Range.html","title":"AthenaWeb.Cldr.Number.PluralRule.Range","type":"module"},{"doc":"Returns a final plural type for a start-of-range plural type, an end-of-range plural type and a locale. Arguments first is a plural type for the start of a range last is a plural type for the end of a range locale is any Cldr.LanguageTag.t or a language name (not locale name) Example iex&gt; AthenaWeb.Cldr.Number.PluralRule.Range . plural_rule :other , :few , &quot;ar&quot; :few","ref":"AthenaWeb.Cldr.Number.PluralRule.Range.html#plural_rule/3","title":"AthenaWeb.Cldr.Number.PluralRule.Range.plural_rule/3","type":"function"},{"doc":"","ref":"AthenaWeb.Endpoint.html","title":"AthenaWeb.Endpoint","type":"module"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast!/3 .","ref":"AthenaWeb.Endpoint.html#broadcast!/3","title":"AthenaWeb.Endpoint.broadcast!/3","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast/3 .","ref":"AthenaWeb.Endpoint.html#broadcast/3","title":"AthenaWeb.Endpoint.broadcast/3","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast_from!/4 .","ref":"AthenaWeb.Endpoint.html#broadcast_from!/4","title":"AthenaWeb.Endpoint.broadcast_from!/4","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.broadcast_from/4 .","ref":"AthenaWeb.Endpoint.html#broadcast_from/4","title":"AthenaWeb.Endpoint.broadcast_from/4","type":"function"},{"doc":"Callback implementation for Plug.call/2 .","ref":"AthenaWeb.Endpoint.html#call/2","title":"AthenaWeb.Endpoint.call/2","type":"function"},{"doc":"Returns the child specification to start the endpoint under a supervision tree.","ref":"AthenaWeb.Endpoint.html#child_spec/1","title":"AthenaWeb.Endpoint.child_spec/1","type":"function"},{"doc":"Returns the endpoint configuration for key Returns default if the key does not exist.","ref":"AthenaWeb.Endpoint.html#config/2","title":"AthenaWeb.Endpoint.config/2","type":"function"},{"doc":"Reloads the configuration given the application environment changes.","ref":"AthenaWeb.Endpoint.html#config_change/2","title":"AthenaWeb.Endpoint.config_change/2","type":"function"},{"doc":"Returns the host for the given endpoint.","ref":"AthenaWeb.Endpoint.html#host/0","title":"AthenaWeb.Endpoint.host/0","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"AthenaWeb.Endpoint.html#init/1","title":"AthenaWeb.Endpoint.init/1","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.local_broadcast/3 .","ref":"AthenaWeb.Endpoint.html#local_broadcast/3","title":"AthenaWeb.Endpoint.local_broadcast/3","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.local_broadcast_from/4 .","ref":"AthenaWeb.Endpoint.html#local_broadcast_from/4","title":"AthenaWeb.Endpoint.local_broadcast_from/4","type":"function"},{"doc":"Callback implementation for Absinthe.Subscription.Pubsub.node_name/0 .","ref":"AthenaWeb.Endpoint.html#node_name/0","title":"AthenaWeb.Endpoint.node_name/0","type":"function"},{"doc":"Generates the path information when routing to this endpoint.","ref":"AthenaWeb.Endpoint.html#path/1","title":"AthenaWeb.Endpoint.path/1","type":"function"},{"doc":"Callback implementation for Absinthe.Subscription.Pubsub.publish_mutation/3 .","ref":"AthenaWeb.Endpoint.html#publish_mutation/3","title":"AthenaWeb.Endpoint.publish_mutation/3","type":"function"},{"doc":"Callback implementation for Absinthe.Subscription.Pubsub.publish_subscription/2 .","ref":"AthenaWeb.Endpoint.html#publish_subscription/2","title":"AthenaWeb.Endpoint.publish_subscription/2","type":"function"},{"doc":"Generates the script name.","ref":"AthenaWeb.Endpoint.html#script_name/0","title":"AthenaWeb.Endpoint.script_name/0","type":"function"},{"doc":"Starts the endpoint supervision tree. Options :log_access_url - if the access url should be logged once the endpoint starts All other options are merged into the endpoint configuration.","ref":"AthenaWeb.Endpoint.html#start_link/1","title":"AthenaWeb.Endpoint.start_link/1","type":"function"},{"doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file in priv/static . Meant to be used for Subresource Integrity with CDNs.","ref":"AthenaWeb.Endpoint.html#static_integrity/1","title":"AthenaWeb.Endpoint.static_integrity/1","type":"function"},{"doc":"Returns a two item tuple with the first item being the static_path and the second item being the static_integrity .","ref":"AthenaWeb.Endpoint.html#static_lookup/1","title":"AthenaWeb.Endpoint.static_lookup/1","type":"function"},{"doc":"Generates a route to a static file in priv/static .","ref":"AthenaWeb.Endpoint.html#static_path/1","title":"AthenaWeb.Endpoint.static_path/1","type":"function"},{"doc":"Generates the static URL without any path information. It uses the configuration under :static_url to generate such. It falls back to :url if :static_url is not set.","ref":"AthenaWeb.Endpoint.html#static_url/0","title":"AthenaWeb.Endpoint.static_url/0","type":"function"},{"doc":"Generates the endpoint base URL but as a URI struct. It uses the configuration under :url to generate such. Useful for manipulating the URL data and passing it to URL helpers.","ref":"AthenaWeb.Endpoint.html#struct_url/0","title":"AthenaWeb.Endpoint.struct_url/0","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.subscribe/2 .","ref":"AthenaWeb.Endpoint.html#subscribe/2","title":"AthenaWeb.Endpoint.subscribe/2","type":"function"},{"doc":"Callback implementation for Phoenix.Endpoint.unsubscribe/1 .","ref":"AthenaWeb.Endpoint.html#unsubscribe/1","title":"AthenaWeb.Endpoint.unsubscribe/1","type":"function"},{"doc":"Generates the endpoint base URL without any path information. It uses the configuration under :url to generate such.","ref":"AthenaWeb.Endpoint.html#url/0","title":"AthenaWeb.Endpoint.url/0","type":"function"},{"doc":"Conveniences for translating and building error messages.","ref":"AthenaWeb.ErrorHelpers.html","title":"AthenaWeb.ErrorHelpers","type":"module"},{"doc":"Generates tag for inlined form input errors.","ref":"AthenaWeb.ErrorHelpers.html#error_tag/2","title":"AthenaWeb.ErrorHelpers.error_tag/2","type":"function"},{"doc":"Translates an error message using gettext.","ref":"AthenaWeb.ErrorHelpers.html#translate_error/1","title":"AthenaWeb.ErrorHelpers.translate_error/1","type":"function"},{"doc":"","ref":"AthenaWeb.ErrorView.html","title":"AthenaWeb.ErrorView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"AthenaWeb.ErrorView.html#__resource__/0","title":"AthenaWeb.ErrorView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"AthenaWeb.ErrorView.html#render/2","title":"AthenaWeb.ErrorView.render/2","type":"function"},{"doc":"Callback invoked when no template is found. By default it raises but can be customized to render a particular template.","ref":"AthenaWeb.ErrorView.html#template_not_found/2","title":"AthenaWeb.ErrorView.template_not_found/2","type":"function"},{"doc":"","ref":"AthenaWeb.Exception.html","title":"AthenaWeb.Exception","type":"protocol"},{"doc":"","ref":"AthenaWeb.Exception.html#result/1","title":"AthenaWeb.Exception.result/1","type":"function"},{"doc":"","ref":"AthenaWeb.Exception.html#t:t/0","title":"AthenaWeb.Exception.t/0","type":"type"},{"doc":"","ref":"AthenaWeb.Frontend.LayoutView.html","title":"AthenaWeb.Frontend.LayoutView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"AthenaWeb.Frontend.LayoutView.html#__resource__/0","title":"AthenaWeb.Frontend.LayoutView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"AthenaWeb.Frontend.LayoutView.html#render/2","title":"AthenaWeb.Frontend.LayoutView.render/2","type":"function"},{"doc":"Callback invoked when no template is found. By default it raises but can be customized to render a particular template.","ref":"AthenaWeb.Frontend.LayoutView.html#template_not_found/2","title":"AthenaWeb.Frontend.LayoutView.template_not_found/2","type":"function"},{"doc":"A module providing Internationalization with a gettext-based API. By using Gettext , your module gains a set of macros for translations, for example: import AthenaWeb.Gettext # Simple translation gettext ( &quot;Here is the string to translate&quot; ) # Plural translation ngettext ( &quot;Here is the string to translate&quot; , &quot;Here are the strings to translate&quot; , 3 ) # Domain-based translation dgettext ( &quot;errors&quot; , &quot;Here is the error message to translate&quot; ) See the Gettext Docs for detailed usage.","ref":"AthenaWeb.Gettext.html","title":"AthenaWeb.Gettext","type":"module"},{"doc":"Callback implementation for Gettext.Backend.dgettext/3 .","ref":"AthenaWeb.Gettext.html#dgettext/3","title":"AthenaWeb.Gettext.dgettext/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dgettext_noop/2 .","ref":"AthenaWeb.Gettext.html#dgettext_noop/2","title":"AthenaWeb.Gettext.dgettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dngettext/5 .","ref":"AthenaWeb.Gettext.html#dngettext/5","title":"AthenaWeb.Gettext.dngettext/5","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dngettext_noop/3 .","ref":"AthenaWeb.Gettext.html#dngettext_noop/3","title":"AthenaWeb.Gettext.dngettext_noop/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dpgettext/4 .","ref":"AthenaWeb.Gettext.html#dpgettext/4","title":"AthenaWeb.Gettext.dpgettext/4","type":"macro"},{"doc":"","ref":"AthenaWeb.Gettext.html#dpgettext_noop/3","title":"AthenaWeb.Gettext.dpgettext_noop/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dpngettext/6 .","ref":"AthenaWeb.Gettext.html#dpngettext/6","title":"AthenaWeb.Gettext.dpngettext/6","type":"macro"},{"doc":"","ref":"AthenaWeb.Gettext.html#dpngettext_noop/4","title":"AthenaWeb.Gettext.dpngettext_noop/4","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.gettext/2 .","ref":"AthenaWeb.Gettext.html#gettext/2","title":"AthenaWeb.Gettext.gettext/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.gettext_comment/1 .","ref":"AthenaWeb.Gettext.html#gettext_comment/1","title":"AthenaWeb.Gettext.gettext_comment/1","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.gettext_noop/1 .","ref":"AthenaWeb.Gettext.html#gettext_noop/1","title":"AthenaWeb.Gettext.gettext_noop/1","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_bindings/2 .","ref":"AthenaWeb.Gettext.html#handle_missing_bindings/2","title":"AthenaWeb.Gettext.handle_missing_bindings/2","type":"function"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_plural_translation/7 .","ref":"AthenaWeb.Gettext.html#handle_missing_plural_translation/7","title":"AthenaWeb.Gettext.handle_missing_plural_translation/7","type":"function"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_translation/5 .","ref":"AthenaWeb.Gettext.html#handle_missing_translation/5","title":"AthenaWeb.Gettext.handle_missing_translation/5","type":"function"},{"doc":"","ref":"AthenaWeb.Gettext.html#lgettext/5","title":"AthenaWeb.Gettext.lgettext/5","type":"function"},{"doc":"","ref":"AthenaWeb.Gettext.html#lngettext/7","title":"AthenaWeb.Gettext.lngettext/7","type":"function"},{"doc":"Callback implementation for Gettext.Backend.ngettext/4 .","ref":"AthenaWeb.Gettext.html#ngettext/4","title":"AthenaWeb.Gettext.ngettext/4","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.ngettext_noop/2 .","ref":"AthenaWeb.Gettext.html#ngettext_noop/2","title":"AthenaWeb.Gettext.ngettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.pgettext/3 .","ref":"AthenaWeb.Gettext.html#pgettext/3","title":"AthenaWeb.Gettext.pgettext/3","type":"macro"},{"doc":"","ref":"AthenaWeb.Gettext.html#pgettext_noop/2","title":"AthenaWeb.Gettext.pgettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.pngettext/5 .","ref":"AthenaWeb.Gettext.html#pngettext/5","title":"AthenaWeb.Gettext.pngettext/5","type":"macro"},{"doc":"","ref":"AthenaWeb.Gettext.html#pngettext_noop/3","title":"AthenaWeb.Gettext.pngettext_noop/3","type":"macro"},{"doc":"Plug to redirect request","ref":"AthenaWeb.Redirector.html","title":"AthenaWeb.Redirector","type":"module"},{"doc":"","ref":"AthenaWeb.Router.html","title":"AthenaWeb.Router","type":"module"},{"doc":"","ref":"AthenaWeb.Router.html#admin/2","title":"AthenaWeb.Router.admin/2","type":"function"},{"doc":"","ref":"AthenaWeb.Router.html#api/2","title":"AthenaWeb.Router.api/2","type":"function"},{"doc":"","ref":"AthenaWeb.Router.html#browser/2","title":"AthenaWeb.Router.browser/2","type":"function"},{"doc":"Callback invoked by Plug on every request.","ref":"AthenaWeb.Router.html#call/2","title":"AthenaWeb.Router.call/2","type":"function"},{"doc":"","ref":"AthenaWeb.Router.html#frontend/2","title":"AthenaWeb.Router.frontend/2","type":"function"},{"doc":"Callback required by Plug that initializes the router for serving web requests.","ref":"AthenaWeb.Router.html#init/1","title":"AthenaWeb.Router.init/1","type":"function"},{"doc":"Module with named helpers generated from AthenaWeb.Router.","ref":"AthenaWeb.Router.Helpers.html","title":"AthenaWeb.Router.Helpers","type":"module"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_event_path/2","title":"AthenaWeb.Router.Helpers.admin_event_path/2","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_event_path/3","title":"AthenaWeb.Router.Helpers.admin_event_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_event_path/4","title":"AthenaWeb.Router.Helpers.admin_event_path/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_event_url/2","title":"AthenaWeb.Router.Helpers.admin_event_url/2","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_event_url/3","title":"AthenaWeb.Router.Helpers.admin_event_url/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_event_url/4","title":"AthenaWeb.Router.Helpers.admin_event_url/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_item_group_path/3","title":"AthenaWeb.Router.Helpers.admin_item_group_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_item_group_path/4","title":"AthenaWeb.Router.Helpers.admin_item_group_path/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_item_group_url/3","title":"AthenaWeb.Router.Helpers.admin_item_group_url/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_item_group_url/4","title":"AthenaWeb.Router.Helpers.admin_item_group_url/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_item_path/3","title":"AthenaWeb.Router.Helpers.admin_item_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_item_path/4","title":"AthenaWeb.Router.Helpers.admin_item_path/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_item_url/3","title":"AthenaWeb.Router.Helpers.admin_item_url/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_item_url/4","title":"AthenaWeb.Router.Helpers.admin_item_url/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_location_path/3","title":"AthenaWeb.Router.Helpers.admin_location_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_location_path/4","title":"AthenaWeb.Router.Helpers.admin_location_path/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_location_url/3","title":"AthenaWeb.Router.Helpers.admin_location_url/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_location_url/4","title":"AthenaWeb.Router.Helpers.admin_location_url/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_movement_path/3","title":"AthenaWeb.Router.Helpers.admin_movement_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_movement_path/4","title":"AthenaWeb.Router.Helpers.admin_movement_path/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_movement_url/3","title":"AthenaWeb.Router.Helpers.admin_movement_url/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#admin_movement_url/4","title":"AthenaWeb.Router.Helpers.admin_movement_url/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_inventory_path/3","title":"AthenaWeb.Router.Helpers.frontend_logistics_inventory_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_inventory_path/4","title":"AthenaWeb.Router.Helpers.frontend_logistics_inventory_path/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_inventory_url/3","title":"AthenaWeb.Router.Helpers.frontend_logistics_inventory_url/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_inventory_url/4","title":"AthenaWeb.Router.Helpers.frontend_logistics_inventory_url/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_live_path/3","title":"AthenaWeb.Router.Helpers.frontend_logistics_live_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_live_path/4","title":"AthenaWeb.Router.Helpers.frontend_logistics_live_path/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_live_url/3","title":"AthenaWeb.Router.Helpers.frontend_logistics_live_url/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_live_url/4","title":"AthenaWeb.Router.Helpers.frontend_logistics_live_url/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_movement_path/3","title":"AthenaWeb.Router.Helpers.frontend_logistics_movement_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_movement_path/4","title":"AthenaWeb.Router.Helpers.frontend_logistics_movement_path/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_movement_url/3","title":"AthenaWeb.Router.Helpers.frontend_logistics_movement_url/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_movement_url/4","title":"AthenaWeb.Router.Helpers.frontend_logistics_movement_url/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_stats_path/3","title":"AthenaWeb.Router.Helpers.frontend_logistics_stats_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_stats_path/4","title":"AthenaWeb.Router.Helpers.frontend_logistics_stats_path/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_stats_url/3","title":"AthenaWeb.Router.Helpers.frontend_logistics_stats_url/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_logistics_stats_url/4","title":"AthenaWeb.Router.Helpers.frontend_logistics_stats_url/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_vendor_inventory_path/3","title":"AthenaWeb.Router.Helpers.frontend_vendor_inventory_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_vendor_inventory_path/4","title":"AthenaWeb.Router.Helpers.frontend_vendor_inventory_path/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_vendor_inventory_url/3","title":"AthenaWeb.Router.Helpers.frontend_vendor_inventory_url/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#frontend_vendor_inventory_url/4","title":"AthenaWeb.Router.Helpers.frontend_vendor_inventory_url/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#live_dashboard_path/2","title":"AthenaWeb.Router.Helpers.live_dashboard_path/2","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#live_dashboard_path/3","title":"AthenaWeb.Router.Helpers.live_dashboard_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#live_dashboard_path/4","title":"AthenaWeb.Router.Helpers.live_dashboard_path/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#live_dashboard_path/5","title":"AthenaWeb.Router.Helpers.live_dashboard_path/5","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#live_dashboard_url/2","title":"AthenaWeb.Router.Helpers.live_dashboard_url/2","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#live_dashboard_url/3","title":"AthenaWeb.Router.Helpers.live_dashboard_url/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#live_dashboard_url/4","title":"AthenaWeb.Router.Helpers.live_dashboard_url/4","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#live_dashboard_url/5","title":"AthenaWeb.Router.Helpers.live_dashboard_url/5","type":"function"},{"doc":"Generates the path information including any necessary prefix.","ref":"AthenaWeb.Router.Helpers.html#path/2","title":"AthenaWeb.Router.Helpers.path/2","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#redirector_path/2","title":"AthenaWeb.Router.Helpers.redirector_path/2","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#redirector_path/3","title":"AthenaWeb.Router.Helpers.redirector_path/3","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#redirector_url/2","title":"AthenaWeb.Router.Helpers.redirector_url/2","type":"function"},{"doc":"","ref":"AthenaWeb.Router.Helpers.html#redirector_url/3","title":"AthenaWeb.Router.Helpers.redirector_url/3","type":"function"},{"doc":"Generates an integrity hash to a static asset given its file path.","ref":"AthenaWeb.Router.Helpers.html#static_integrity/2","title":"AthenaWeb.Router.Helpers.static_integrity/2","type":"function"},{"doc":"Generates path to a static asset given its file path.","ref":"AthenaWeb.Router.Helpers.html#static_path/2","title":"AthenaWeb.Router.Helpers.static_path/2","type":"function"},{"doc":"Generates url to a static asset given its file path.","ref":"AthenaWeb.Router.Helpers.html#static_url/2","title":"AthenaWeb.Router.Helpers.static_url/2","type":"function"},{"doc":"Generates the connection/endpoint base URL without any path information.","ref":"AthenaWeb.Router.Helpers.html#url/1","title":"AthenaWeb.Router.Helpers.url/1","type":"function"},{"doc":"Root GraphQL Schema","ref":"AthenaWeb.Schema.html","title":"AthenaWeb.Schema","type":"module"},{"doc":"Absinthe Dataloader","ref":"AthenaWeb.Schema.Dataloader.html","title":"AthenaWeb.Schema.Dataloader","type":"module"},{"doc":"","ref":"AthenaWeb.Schema.Dataloader.html#data/0","title":"AthenaWeb.Schema.Dataloader.data/0","type":"function"},{"doc":"Helpers","ref":"AthenaWeb.Schema.Helpers.html","title":"AthenaWeb.Schema.Helpers","type":"module"},{"doc":"","ref":"AthenaWeb.Schema.Helpers.html#changeset_result/1","title":"AthenaWeb.Schema.Helpers.changeset_result/1","type":"function"},{"doc":"","ref":"AthenaWeb.Schema.Helpers.html#connection_from_query/4","title":"AthenaWeb.Schema.Helpers.connection_from_query/4","type":"function"},{"doc":"","ref":"AthenaWeb.Schema.Helpers.html#from_global_id!/2","title":"AthenaWeb.Schema.Helpers.from_global_id!/2","type":"function"},{"doc":"","ref":"AthenaWeb.Schema.Helpers.html#many_dataloader/0","title":"AthenaWeb.Schema.Helpers.many_dataloader/0","type":"function"},{"doc":"","ref":"AthenaWeb.Schema.Helpers.html#payload_fields/1","title":"AthenaWeb.Schema.Helpers.payload_fields/1","type":"macro"},{"doc":"Date Type for API","ref":"AthenaWeb.Schema.Scalar.Date.html","title":"AthenaWeb.Schema.Scalar.Date","type":"module"},{"doc":"DateTime Type for API","ref":"AthenaWeb.Schema.Scalar.Datetime.html","title":"AthenaWeb.Schema.Scalar.Datetime","type":"module"},{"doc":"Map Type for API","ref":"AthenaWeb.Schema.Scalar.Map.html","title":"AthenaWeb.Schema.Scalar.Map","type":"module"},{"doc":"Ok Enum for API","ref":"AthenaWeb.Schema.Scalar.Ok.html","title":"AthenaWeb.Schema.Scalar.Ok","type":"module"},{"doc":"URI Type for API","ref":"AthenaWeb.Schema.Scalar.URI.html","title":"AthenaWeb.Schema.Scalar.URI","type":"module"},{"doc":"Relay Messages from PubSub to the Absinthe subscription system","ref":"AthenaWeb.Schema.SubscriptionNotifier.html","title":"AthenaWeb.Schema.SubscriptionNotifier","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"AthenaWeb.Schema.SubscriptionNotifier.html#child_spec/1","title":"AthenaWeb.Schema.SubscriptionNotifier.child_spec/1","type":"function"},{"doc":"","ref":"AthenaWeb.Schema.SubscriptionNotifier.html#start_link/1","title":"AthenaWeb.Schema.SubscriptionNotifier.start_link/1","type":"function"},{"doc":"","ref":"AthenaWeb.UserSocket.html","title":"AthenaWeb.UserSocket","type":"module"},{"doc":"Callback implementation for Phoenix.Socket.connect/3 .","ref":"AthenaWeb.UserSocket.html#connect/3","title":"AthenaWeb.UserSocket.connect/3","type":"function"},{"doc":"Callback implementation for Phoenix.Socket.id/1 .","ref":"AthenaWeb.UserSocket.html#id/1","title":"AthenaWeb.UserSocket.id/1","type":"function"}]